Get Assistant
curl --request GET \
--url https://api.voicebot.studio/api/v1/assistants/{assistant_id} \
--header 'X-API-Key: <api-key>'{
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"model": {
"messages": [
{
"content": "<string>",
"role": "<string>"
}
],
"provider": "standard",
"model": "standard",
"tools": [
{
"async": false,
"messages": [
{
"contents": [
{
"text": "<string>"
}
],
"content": "<string>",
"conditions": [
{
"param": "<string>",
"value": {}
}
]
}
],
"function": {
"name": "<string>",
"strict": false,
"description": "<string>",
"parameters": {
"properties": {},
"required": [
"<string>"
]
}
},
"server": {
"url": "<string>",
"timeoutSeconds": 20,
"secret": "<string>",
"headers": {}
}
}
],
"toolIds": [
"<string>"
],
"temperature": 123,
"maxTokens": 123,
"numFastTurns": 123,
"knowledgeBase": {
"topK": 123,
"fileIds": [
"<string>"
],
"provider": "canonical"
},
"fallbackModels": [
"standard"
],
"semanticCachingEnabled": true,
"emotionRecognitionEnabled": true
},
"voice": {
"style": 123,
"language": "<string>",
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"<string>"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"key": "<string>",
"value": "<string>",
"type": "exact"
}
]
}
},
"fillerInjectionEnabled": true,
"provider": "standard",
"stability": 123,
"similarityBoost": 123,
"useSpeakerBoost": false,
"enableSsmlParsing": false,
"optimizeStreamingLatency": 3
},
"transcriber": {
"language": "<string>",
"smartFormat": true,
"languageDetectionEnabled": true,
"keywords": [
"<string>"
],
"endpointing": 123
},
"analysisPlan": {
"successEvaluationRequestTimeoutSeconds": 123,
"successEvaluationPrompt": "<string>",
"structuredDataSchema": {
"items": {},
"properties": {},
"description": "<string>",
"required": [
"<string>"
]
},
"structuredDataRequestTimeoutSeconds": 123,
"structuredDataPrompt": "<string>",
"summaryPrompt": "<string>",
"summaryRequestTimeoutSeconds": 123
},
"serverUrl": "<string>",
"serverUrlSecret": "<string>",
"artifactPlan": {
"transcriptPlan": {
"enabled": true,
"userName": "<string>",
"assistantName": "<string>"
},
"recordingEnabled": true,
"videoRecordingEnabled": true,
"recordingPath": "<string>"
},
"messagePlan": {
"idleMessages": [
"<string>"
],
"idleMessageMaxSpokenCount": 123,
"idleTimeoutSeconds": 123
},
"startSpeakingPlan": {
"waitSeconds": 123,
"smartEndpointingEnabled": true,
"transcriptionEndpointingPlan": {
"onPunctuationSeconds": 123,
"onNoPunctuationSeconds": 123,
"onNumberSeconds": 123
}
},
"stopSpeakingPlan": {
"numWords": 123,
"voiceSeconds": 123,
"backoffSeconds": 123
},
"monitorPlan": {
"listenEnabled": true,
"controlEnabled": true
},
"clientMessages": [
"<string>"
],
"dialKeypadFunctionEnabled": true,
"endCallFunctionEnabled": true,
"forwardingPhoneNumber": "<string>"
}Assistants
Get Assistant
Get assistant by ID.
GET
/
api
/
v1
/
assistants
/
{assistant_id}
Get Assistant
curl --request GET \
--url https://api.voicebot.studio/api/v1/assistants/{assistant_id} \
--header 'X-API-Key: <api-key>'{
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"model": {
"messages": [
{
"content": "<string>",
"role": "<string>"
}
],
"provider": "standard",
"model": "standard",
"tools": [
{
"async": false,
"messages": [
{
"contents": [
{
"text": "<string>"
}
],
"content": "<string>",
"conditions": [
{
"param": "<string>",
"value": {}
}
]
}
],
"function": {
"name": "<string>",
"strict": false,
"description": "<string>",
"parameters": {
"properties": {},
"required": [
"<string>"
]
}
},
"server": {
"url": "<string>",
"timeoutSeconds": 20,
"secret": "<string>",
"headers": {}
}
}
],
"toolIds": [
"<string>"
],
"temperature": 123,
"maxTokens": 123,
"numFastTurns": 123,
"knowledgeBase": {
"topK": 123,
"fileIds": [
"<string>"
],
"provider": "canonical"
},
"fallbackModels": [
"standard"
],
"semanticCachingEnabled": true,
"emotionRecognitionEnabled": true
},
"voice": {
"style": 123,
"language": "<string>",
"chunkPlan": {
"enabled": true,
"minCharacters": 30,
"punctuationBoundaries": [
"<string>"
],
"formatPlan": {
"enabled": true,
"numberToDigitsCutoff": 2025,
"replacements": [
{
"key": "<string>",
"value": "<string>",
"type": "exact"
}
]
}
},
"fillerInjectionEnabled": true,
"provider": "standard",
"stability": 123,
"similarityBoost": 123,
"useSpeakerBoost": false,
"enableSsmlParsing": false,
"optimizeStreamingLatency": 3
},
"transcriber": {
"language": "<string>",
"smartFormat": true,
"languageDetectionEnabled": true,
"keywords": [
"<string>"
],
"endpointing": 123
},
"analysisPlan": {
"successEvaluationRequestTimeoutSeconds": 123,
"successEvaluationPrompt": "<string>",
"structuredDataSchema": {
"items": {},
"properties": {},
"description": "<string>",
"required": [
"<string>"
]
},
"structuredDataRequestTimeoutSeconds": 123,
"structuredDataPrompt": "<string>",
"summaryPrompt": "<string>",
"summaryRequestTimeoutSeconds": 123
},
"serverUrl": "<string>",
"serverUrlSecret": "<string>",
"artifactPlan": {
"transcriptPlan": {
"enabled": true,
"userName": "<string>",
"assistantName": "<string>"
},
"recordingEnabled": true,
"videoRecordingEnabled": true,
"recordingPath": "<string>"
},
"messagePlan": {
"idleMessages": [
"<string>"
],
"idleMessageMaxSpokenCount": 123,
"idleTimeoutSeconds": 123
},
"startSpeakingPlan": {
"waitSeconds": 123,
"smartEndpointingEnabled": true,
"transcriptionEndpointingPlan": {
"onPunctuationSeconds": 123,
"onNoPunctuationSeconds": 123,
"onNumberSeconds": 123
}
},
"stopSpeakingPlan": {
"numWords": 123,
"voiceSeconds": 123,
"backoffSeconds": 123
},
"monitorPlan": {
"listenEnabled": true,
"controlEnabled": true
},
"clientMessages": [
"<string>"
],
"dialKeypadFunctionEnabled": true,
"endCallFunctionEnabled": true,
"forwardingPhoneNumber": "<string>"
}Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
This is the analysis plan for the assistant.
Show child attributes
Show child attributes
Server URL must match either workflow.amira.bot or workflow.voicebot.studio
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I